Skip to main content

Check URL Slug

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.check_url_slug

Check if a URL slug is available for use. Use this before creating or updating blog posts to ensure unique URLs.

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-check-url-slug-example",
"method": "tools/call",
"params": {
"name": "ghl.check_url_slug",
"arguments": {
"urlSlug": "https://example.com/resource",
"tenantId": "tenantId_123",
"postId": "postId_123"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"urlSlug": {
"type": "string"
},
"postId": {
"type": "string"
}
},
"required": [
"urlSlug"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-check-url-slug-example",
"method": "tools/call",
"params": {
"name": "ghl.check_url_slug",
"arguments": {
"urlSlug": "https://example.com/resource",
"tenantId": "tenantId_123",
"postId": "postId_123"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.check_url_slug executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}